<?php
/*
File Name :                 Class License themefour
Description :               For Persian WordPress
Version :                   5.0 - June/19/23
URI :                       themefour.com
*/

/* Start Check Function */
if( !function_exists('themefour_get_dash_wp') && get_locale()=='fa_IR' && is_admin() ) {
function themefour_get_dash_wp() {
	global $wp_meta_boxes;
	
	wp_add_dashboard_widget('widget_themefour_', 'منوی دسترسی سریع تم فور', 'themefour_get_dash_data_data');
}
add_action('wp_dashboard_setup', 'themefour_get_dash_wp');

function themefour_get_dash_data_data() {
	
		/* Display the container */
		echo '<div class="themefour-dashboard-widget">';
		
		echo '<p style="color:green;font-weight:700;" >از اینکه themefour.com را انتخاب کردید، بسیار متشکریم.</p>';
		
		
		echo '<hr>';
		/* Starts items listing within <ul> tag */
		echo '<ul>';
		echo '<h2>ویژگی‌های تم فور:</h2>';
		echo '<li>به‌روز رسانی از پیشخوان وردپرس با یک کلیک</li>';
		echo '<li>عدم نیاز به نصب افزونه جانبی برای دریافت به‌روز رسانی</li>';
		echo '<li>بدون نیاز به ثبت کد فعال‌سازی یا لایسنس</li>';
		echo '<li>امکان ثبت تیکت برای دریافت راهنمایی بدون محدودیت</li>';
		echo '<li>فارسی‌سازی اصولی و مفهومی افزونه و قالب‌ها</li>';
		echo '</ul>';
		echo '<hr>';
		echo '<h2>لینک‌های مفید:</h2>';
		echo '<a href="https://themefour.com/product-category/wordpress/plugin/?orderby=date" class="button button-primary" target="_blank" style="margin:4px;"> کشف افزونه‌های کاربردی</a>';
		echo '<a href="https://www.youtube.com/@themefour" class="button button-primary" target="_blank" style="margin:5px;">دنیای آموزش ویدیویی وردپرس</a>';
		echo '<a href="https://t.me/themefour" class="button button-primary" target="_blank" style="margin:4px;">جشنواره‌ها و اطلاعیه‌ها</a>';
		echo '<a href="https://themefour.com/wp-auto-backup/" class="button button-primary" target="_blank" style="margin:5px;">روش بک آپ گیری از وردپرس</a>';
		echo '<style>.update-php div.updated button.hide-if-no-js.button-link.js-update-details-toggle{display:none;}</style>';
       
		/* End <div> tag */
		echo '</div>';
	
}

} /* End Check Function */


/* Install Update Server */
if (is_admin() ) {
$themefour_wp_schema_pro_upgrade = new themefour_wp_schema_pro_upgrade();
}
class themefour_wp_schema_pro_upgrade{
function __construct() {
if (!class_exists('Puc_themefour_Factory')) {
	require_once(TF_WSMP_UPDATE_PATH . '/plugin-update-checker.php');
}
$GetSlug = 'get_metadata&slug';
$GetURL = 'update-server';
$GetSSL = 'https://';
$GetDM = 'net';
$GetPluginName = basename( plugin_dir_path(  dirname( __FILE__ , 2 ) ) );
$GetServerUrl = ''.$GetSSL.'themefour.'.$GetDM.'/'.$GetURL.'/?action='.$GetSlug.'='.''.$GetPluginName;
$UpdateChecker = Puc_themefour_Factory::buildUpdateChecker(
    $GetServerUrl,
   (TF_WSMP_FILE_PATH),
    $GetPluginName
);
}
}
/* Install Update Server & Load Licenses */


/* Load Parts */
require_once(TF_WSMP_CLASSES. 'class-localization-wp-schema-pro.php');
require_once(TF_WSMP_FUN . 'function-enqueue-wp-schema-pro.php');
require_once(TF_WSMP_FUN . 'function-meta-hooks-wp-schema-pro.php');